"{ Package: 'stx:libjava' }"

TestCase subclass:#JavaByteCodeProcessorTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Tests'
!


!JavaByteCodeProcessorTests methodsFor:'tests-helpers'!

invoke: methodName class: aClass args: args 
   ^ self invoke:methodName class: aClass receiver:aClass args: args

    "Created: / 10-03-2011 / 23:32:10 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

invoke:arg1 class:arg2 receiver:arg3 args:arg4
    "raise an error: must be redefined in concrete subclass(es)"

    ^ self subclassResponsibility
!

loadCrateJavaClass
    ^ Java classForName: 'stx.libjava.tests.simpleClasses.Crate'.

    "Created: / 10-03-2011 / 21:34:03 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

loadSimpleClassWithManyReferences
    ^ Java 
        classForName: 'stx.libjava.tests.mocks.SimpleClassWithManyReferences'.

    "Created: / 14-03-2011 / 21:26:25 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 07-04-2011 / 23:15:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

loadSimpleInheritingJavaClass
    ^ Java classForName: 'stx.libjava.tests.mocks.SimpleInheritingClass'.

    "Created: / 10-03-2011 / 21:34:20 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 07-04-2011 / 23:15:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

loadSimpleMathJavaClass
    ^ Java classForName: 'stx.libjava.tests.mocks.SimpleMath'.

    "Created: / 10-03-2011 / 21:28:48 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 07-04-2011 / 23:15:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

loadSwitchExamplesClass
    ^ Java classForName: 'stx.libjava.tests.mocks.SwitchExamples'.

    "Created: / 21-03-2011 / 13:51:25 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 07-04-2011 / 23:15:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaByteCodeProcessorTests class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
